GNUMERIC(1)

NUME
gnumeric - o aplicație de foaie de calcul pentru GNOME

SINOPSIS
gnumeric [OPȚIUNI] [fișiere ... ]

DESCRIERE
gnumeric este un puternic program de foi de calcul creat de proiectul GNOME. gnumeric intenționează să concureze cu foile de calcul comerciale prin faptul că devine complet compatibil cu Microsoft Excel(TM) și prin suportul celor mai populare formate de fișiere de foi de calcul, cum ar fi Excel(TM), Lotus 1-2-3(TM), Applix(TM), Sylk(TM), XBase(TM), Oleo(TM) și formatele OpenOffice.org.

gnumeric permite efectuarea de calcule avansate folosind funcții statistice, financiare și de acces la baze de date. Reprezentarea grafică a datelor este susținută de un sistem de reprezentare grafică incomplet, dar puternic. Un sistem de module de extensie extinde gnumeric , permițând, de exemplu, exportul de date în formatul LaTeX \longtable. Modulele pot fi utilizate pentru a defini funcționalități personalizate. Există o API rudimentară de scripturi pentru limbajul Python, care va fi extinsă în viitorul apropiat. Deoarece gnumeric este un software liber, gnumeric poate fi, de asemenea, extins direct la nivelul codului sursă de către orice programator competent.

Programul poate fi pornit din linia de comandă ca gnumeric sau din unul dintre meniurile oferite de platforma de bază. Atunci când este pornit din linia de comandă, gnumeric poate fi urmat de opțiunile enumerate mai jos și, eventual, de numele fișierelor în diverse formate de foi de calcul care vor fi deschise imediat. De exemplu, comanda:

    gnumeric fișierul-meu.gnumeric

va lansa gnumeric și va deschide fișierul numit „fișierul-meu.gnumeric”. Formatul implicit al fișierului gnumeric este în limbaj de marcaje extensibile (XML), care ulterior a fost comprimat cu gzip.

OPȚIUNI UTILIZATOR
Acest program urmează sintaxa obișnuită a liniei de comandă GNU, cu opțiuni cu o singură literă care încep cu o singură liniuță („-”) și opțiuni mai lungi care încep cu două liniuțe („--”).

  Opțiuni de ajutor
-?, --help Afișează mesajul de ajutor.

--usage
    Afișează un mesaj de utilizare succint.

  Opțiuni gnumeric

-v, --version
    Afișează numărul de versiune al instanței instalate de gnumeric.

--no-splash
    Pornește gnumeric fără a afișa ecranul de întâmpinare. Ecranul de întâmpinare este afișat în mod normal dacă încărcarea fișierelor durează prea mult.

  Opțiuni pentru amplasarea ferestrelor

-g, --geometry=LĂȚIMExÎNĂLȚIME+XOFF+YOFF
    Stabilește dimensiunea și poziția primei ferestre. Toate unitățile sunt în pixeli. Poziția X este din partea stângă a ecranului, iar poziția Y este din partea de sus a ecranului. De exemplu, -g=800x600+20+30 va deschide o fereastră «gnumeric» de 800 de pixeli lățime pe 600 de pixeli înălțime, cu marginea stângă a ferestrei «gnumeric» la 20 de pixeli din stânga ecranului și marginea superioară a ferestrei «gnumeric» la 30 de pixeli din partea de sus a ecranului.

--display=AFIȘAJ
    Afișajul X de utilizat, unde AFILȘAJ are forma nume-mașină:Xafișaj.Ecran. Rețineți că mașina care afișează gnumeric trebuie să fi acordat mașinii care rulează gnumeric dreptul de afișare (a se vedea xhost).

--screen=ECRAN
    Ecranul X de utilizat, o formă mai compactă a funcționalității descrise mai sus.

OPȚIUNI AVANSATE

  Opțiuni GNOME

--disable-sound
    Dezactivează utilizarea serverului de sunet.

--enable-sound
    Activează utilizarea serverului de sunet.

--espeaker=NUME_GAZDĂ:PORT
    Gazda:portul pe care rulează serverul de sunet care urmează să fie utilizat.

--disable-crash-dialog
    Dezactivează dialogul de trimitere a erorilor care apare în cazul în care «gnumeric» se blochează.

  Opțiuni GTK

--gdk-debug=FANIOANE
    Fanioanele de depanare Gdk care trebuie activate.

--gdk-no-debug=FANIOANE
    Fanioanele de depanare Gdk care trebuie dezactivate.

--sync
    Face ca apelurile X să fie sincrone.

--name=NUME
    Numele programului utilizat de administratorul de ferestre.

--class=CLASA
    Clasa programului utilizat de administratorul de ferestre.

--gxid_host=GAZDA
    Gazda la care se contactează demonul gxid. Aceasta înlocuiește variabila de mediu GXID_HOST. Această opțiune este disponibilă numai dacă GTK+ a fost configurat cu „--gdk-target=x11”.

--gxid_port=PORT
    Portul pentru conexiunea cu gxid. Aceasta înlocuiește variabila de mediu GXID_PORT. Această opțiune este disponibilă numai dacă GTK+ a fost configurat cu „--gdk-target=x11”.

--gtk-debug=FANIOANE
    Fanioanele de depanare Gtk+ de activat.

--gtk-no-debug=FANIOANE
    Fanioanele de depanare Gtk+ care trebuie dezactivate.

--g-fatal-warnings
    Face ca toate avertizările să fie fatale.

--gtk-module=MODUL
    Încarcă un modul Gtk suplimentar.

  Opțiuni de gestionare a sesiunii

--sm-client-id=ID
    Specifică ID-ul de gestionare a sesiunii.

--sm-config-prefix=PREFIX
    Specifică prefixul configurației salvate.

--sm-disable
    Dezactivează conexiunea cu administratorul de sesiuni.

VERSIUNEA
Această pagină de manual descrie gnumeric versiunea 1.8.

ERORI
Pentru lista de erori cunoscute ale gnumeric, sau pentru a raporta noi erori, vă rugăm să vizitați http://bugzilla.gnome.org.

CONSULTAȚI ȘI
ssconvert(1), ssindex(1), ssdiff(1) ssgrep(1)

Manualul Gnumeric Disponibil prin meniul Ajutor sau

LICENȚĂ

Gnumeric este licențiat sub termenii Licenței Publice Generale (GPL), versiunea 2 sau 3. Pentru informații despre această licență, consultați codul sursă furnizat împreună cu software-ul sau consultați

DREPTURI DE AUTOR

Dreptul de autor asupra software-ului gnumeric și a codului sursă este deținut de autorii individuali, așa cum este documentat în codul sursă.

AUTORI

  Gnumeric
Jody Goldberg <jody@gnome.org>
Miguel de Icaza <miguel@gnome.org>
Morten Welinder <terra@gnome.org>

-- și mulți alții. Pentru o listă mai completă, consultați caseta de dialog «Despre».

  Această pagină de manual
Jan Schaumann <jschauma@netmeister.org>
Adrian Custer <acuster@gnome.org>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.